clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
ProBoundsArrayToPointerDecayCheck.cpp File Reference
`#include "ProBoundsArrayToPointerDecayCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for ProBoundsArrayToPointerDecayCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy

## Functions
| clang::tidy::AST_MATCHER_P (CXXForRangeStmt, hasRangeBeginEndStmt, ast_matchers::internal::Matcher< DeclStmt >, InnerMatcher)
| clang::tidy::AST_MATCHER (Stmt, isInsideOfRangeBeginEndStmt)
| clang::tidy::AST_MATCHER_P (Expr, hasParentIgnoringImpCasts, ast_matchers::internal::Matcher< Expr >, InnerMatcher)